
module rio (
        input sysclk_in,
        input rst_n,
        input  miso,
        output sclk,
        output mosi,
        output sel,
        output w5500_rst,
        output PINOUT_BLINK0_LED
    );

    wire sysclk;
    assign sysclk = sysclk_in;



    // Name: LED0 (blink)
    assign PINOUT_BLINK0_LED = PINOUT_BLINK0_LED_RAW;
    wire PINOUT_BLINK0_LED_RAW;
    blink #(
        .DIVIDER(25000000)
    ) blink0 (
        .clk(sysclk),
        .led(PINOUT_BLINK0_LED_RAW)
    );


                         
    w5500 #(
        .IP_ADDR({8'd192, 8'd168, 8'd10, 8'd194}),              // IP: 192.168.10.194
        .MAC_ADDR({8'hAA, 8'hAF, 8'hFA, 8'hCC, 8'hE3, 8'h1C}),  // MAC: 0C:29:AB:7C::00:01 
        .GW_ADDR({8'd196, 8'd168, 8'd10, 8'd1}),                // GW: 192.168.10.1
        .SN_ADDR({8'd255, 8'd255, 8'd255, 8'd0}),               // SN: 255.255.255.0
        .PORT({8'h09,8'h56}                                     // Port: 2390
        )
    ) w550013 (
        .clk(sysclk),
        .rst_n(rst_n),
        .mosi(mosi),
        .miso(miso),
        .sclk(sclk),
        .sel(sel),
        .w5500_rst(w5500_rst)
    );


endmodule